config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/httpd/extra/nagvis.conf.new

find etc/nagvis -type f -name '*.new' \
  | while read new ; do config $new ; done
( cd usr/share/nagvis/share ; rm -rf userfiles )
( cd usr/share/nagvis/share ; ln -sf /var/lib/nagvis/userfiles userfiles )
( cd usr/share/nagvis/share ; rm -rf var )
( cd usr/share/nagvis/share ; ln -sf /var/cache/nagvis var )
( cd usr/share/nagvis/share ; rm -rf docs )
( cd usr/share/nagvis/share ; ln -sf /usr/doc/nagvis-1.8.2/html docs )
( cd usr/share/nagvis ; rm -rf etc )
( cd usr/share/nagvis ; ln -sf /etc/nagvis etc )
( cd usr/share/nagvis ; rm -rf var )
( cd usr/share/nagvis ; ln -sf /var/cache/nagvis var )
( cd usr/share/nagvis ; rm -rf docs )
( cd usr/share/nagvis ; ln -sf /usr/doc/nagvis-1.8.2/html docs )
